using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;


namespace tfcSocket
{
    public class cDB
    {
        //----------------------------------------------------------------------------------------
        protected static string pDBconnection = "";

        //----------------------------------------------------------------------------------------

        protected static string DBconnection
        {
            get
            {
                if (pDBconnection == "")
                {
                    try
                    {
                        pDBconnection = ConfigurationManager.AppSettings["DBconnection"].ToString();

                    }
                    catch (Exception ex)
                    {
                        pDBconnection = "server=localhost;uid=tfc;pwd=tfc;database=TFC";
                    }
                }
                return pDBconnection;
            }
        }
        //----------------------------------------------------------------------------------------

        public static bool Execute(string txtSQL)
        {
            bool res = false;
            SqlConnection cnn = new SqlConnection(DBconnection);
            cnn.Open();
            
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = cnn;
            cmd.CommandType = System.Data.CommandType.Text;
            cmd.CommandText = txtSQL;

            try
            {
                cmd.ExecuteNonQuery();
                res = true;
            }
            catch (Exception e)
            {
                throw (e);
            }
            finally
            {
                cnn.Close();
                cmd.Dispose();
                cmd = null;
            }
            return res;
        }
        //----------------------------------------------------------------------------------------
        //----------------------------------------------------------------------------------------
        //----------------------------------------------------------------------------------------
    }
}
